<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/profiles",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Profiles"
}
-->

# Profiles

Create, delete, and download provisioning profiles that enable app installations for development and distribution.

## Discussion

The `profiles` resource represents the provisioning profiles that allow you to install apps on your iOS devices or Mac. You can create and delete provisioning profiles, and download them to sign your code.

Provisioning profiles include signing certificates, device identifiers, and a bundle ID.

## Topics

### Creating and Deleting Provisioning Profiles

[`POST /v1/profiles`](/documentation/AppStoreConnectAPI/POST-v1-profiles)

Create a new provisioning profile.

[`DELETE /v1/profiles/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-profiles-_id_)

Delete a provisioning profile that is used for app development or distribution.

### Getting Provisioning Profile Information

[`GET /v1/profiles`](/documentation/AppStoreConnectAPI/GET-v1-profiles)

Find and list provisioning profiles and download their data.

[`GET /v1/profiles/{id}`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_)

Get information for a specific provisioning profile and download its data.

### Getting Related Data

[`GET /v1/profiles/{id}/bundleId`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_-bundleId)

Get the bundle ID information for a specific provisioning profile.

[`GET /v1/profiles/{id}/relationships/bundleId`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_-relationships-bundleId)

[`GET /v1/profiles/{id}/certificates`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_-certificates)

Get a list of all certificates and their data for a specific provisioning profile.

[`GET /v1/profiles/{id}/relationships/certificates`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_-relationships-certificates)

[`GET /v1/profiles/{id}/devices`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_-devices)

Get a list of all devices for a specific provisioning profile.

[`GET /v1/profiles/{id}/relationships/devices`](/documentation/AppStoreConnectAPI/GET-v1-profiles-_id_-relationships-devices)

### Objects

[`Profile`](/documentation/AppStoreConnectAPI/Profile)

A provisioning profile that authorizes specific devices to run an app during development or distribution.

[`ProfileCreateRequest`](/documentation/AppStoreConnectAPI/ProfileCreateRequest)

The request body you use to create a Profile.

[`ProfileResponse`](/documentation/AppStoreConnectAPI/ProfileResponse)

The response body for endpoints that create or read a single provisioning profile.

[`ProfilesResponse`](/documentation/AppStoreConnectAPI/ProfilesResponse)

The response body for endpoints that list provisioning profiles.

[`ProfilesWithoutIncludesResponse`](/documentation/AppStoreConnectAPI/ProfilesWithoutIncludesResponse)

A response containing a list of provisioning profiles, without related resources.

[`ProfileBundleIdLinkageResponse`](/documentation/AppStoreConnectAPI/ProfileBundleIdLinkageResponse)

[`ProfileCertificatesLinkagesResponse`](/documentation/AppStoreConnectAPI/ProfileCertificatesLinkagesResponse)

[`ProfileDevicesLinkagesResponse`](/documentation/AppStoreConnectAPI/ProfileDevicesLinkagesResponse)



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)